Skip to main content
GET
/
markets
/
{market}
/
recent-executions
List Recent Executions
curl --request GET \
  --url https://api.paxos.com/v2/markets/{market}/recent-executions
import requests

url = "https://api.paxos.com/v2/markets/{market}/recent-executions"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.paxos.com/v2/markets/{market}/recent-executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "match_number": "5K8U4TTBKS1E",
      "price": "9245.50",
      "amount": "0.23421231",
      "executed_at": "2020-01-17T18:36:38.737Z"
    },
    {
      "match_number": "5K8U4TTBKRIO",
      "price": "9237.50",
      "amount": "1.68421231",
      "executed_at": "2020-01-17T18:36:52.737Z"
    }
  ]
}
Due to the deprecation of itBit, customers should migrate to the Order Routing WebSockets for market data.

Path Parameters

market
enum<string>
required

Market of the executions.

Available options:
ETHEUR,
ETHSGD,
ETHUSD,
BTCEUR,
BTCSGD,
BTCUSD,
PAXGUSD,
BCHUSD,
LTCUSD,
USDPUSD,
ETHBRL,
BTCBRL,
LTCBRL,
BCHBRL,
USDPGBP,
USDPBRL,
LINKUSD,
AAVEUSD,
UNIUSD,
AAVEMXN,
BCHMXN,
BTCMXN,
ETHMXN,
LTCMXN,
USDPMXN,
AAVEEUR,
BCHEUR,
LTCEUR,
LINKEUR,
PAXGEUR,
SOLEUR,
USDPEUR,
UNIEUR,
PYUSDEUR,
PEPEUSD,
TRUMPUSD,
SHIBUSD,
ARBUSD,
BONKUSD,
ENAUSD,
MNTUSD,
ONDOUSD,
PENGUUSD,
QNTUSD,
RENDERUSD,
SKYUSD,
WIFUSD,
WLDUSD,
DOGEUSD,
AVAXUSD,
SUIUSD

Response

200 - application/json

A successful response.

items
object[]

Recent Executions.